
Figure - Bug #115318
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】进入桌面编辑模式，滑动两页中间的位置，松手后迅速点击完成，页面卡住
2023-01-14 16:59 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-14

Priority: High Due date: 2023-02-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

Reproducibility: Every time Fixed Version: 2023-02-07

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、桌面上有两页应用

【测试步骤】

1.进入桌面编辑模式

2.滑动两页中间的位置

3、松手后迅速点击完成

【预期结果】

3、回到主页面

【实际结果】

3、页面固定在滑动的位置或进入空白桌面状态

History

#1 - 2023-01-14 17:00 - CD TEST-方永红

- Priority changed from Normal to High

#2 - 2023-01-28 13:43 - CD APP-王营

- Due date set to 2023-02-03

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-02-03 09:57 - CD APP-王营

- Assignee changed from CD APP-王宏 to CD APP-王营

#4 - 2023-02-04 18:39 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 50

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题
■ Current conclusion

问题已修复，待测试同事验证

■ My analysis

快速极限操作的时候，workspace页面滚动存在动画，在滚动动画未完成之前点击完成按钮，此时会中断workSpace的翻页，导致翻页失败卡主。

当前修改方案是在翻页beginTransaction的时候记录开始，endTransaction的时候标记完成，动画未执行完成则不会走endTransaction，以此标志位来控制是

否可以退出编辑模式。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/179458

#5 - 2023-02-06 17:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179458 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Fix workspace page getting stuck1.Enter the desktop editing mode, slide the middle of the two pages,release and quickly click Finish, and the page is

stuck.TC-RID: 1201-0205301IssueID: TS-R-BUG-115318Change-Id: Ie42a4b6937b9a1491efcded7d237ce5c2f897da8

#6 - 2023-02-06 17:30 - CD APP-王营

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 50 to 100

- Fixed Version set to 2023-02-07

#7 - 2023-02-07 11:21 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

2.7

【测试效果】

在页面滚动过程中点击完成按钮，完成按钮不生效

等页面滚动完成之后点击才能生效

【测试结论】

可以解决bug票中所描述的页面卡住问题

测试通过

#8 - 2023-02-07 11:22 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

桌面编辑模式异常.mp4 11.2 MB 2023-01-14 CD TEST-方永红
